Home
last modified time | relevance | path

Searched full:exec (Results 1 – 25 of 697) sorted by relevance

12345678910>>...28

/linux/drivers/gpu/drm/tests/
H A Ddrm_exec_test.c45 struct drm_exec exec; in sanitycheck() local
47 drm_exec_init(&exec, DRM_EXEC_INTERRUPTIBLE_WAIT, 0); in sanitycheck()
48 drm_exec_fini(&exec); in sanitycheck()
56 struct drm_exec exec; in test_lock() local
61 drm_exec_init(&exec, DRM_EXEC_INTERRUPTIBLE_WAIT, 0); in test_lock()
62 drm_exec_until_all_locked(&exec) { in test_lock()
63 ret = drm_exec_lock_obj(&exec, &gobj); in test_lock()
64 drm_exec_retry_on_contention(&exec); in test_lock()
69 drm_exec_fini(&exec); in test_lock()
76 struct drm_exec exec; in test_lock_unlock() local
[all …]
/linux/tools/testing/selftests/net/
H A Dvlan_hw_filter.sh41 ip netns exec ${NETNS} ip link add bond0 type bond mode 0
42 ip netns exec ${NETNS} ip link add bond_slave_1 type veth peer veth2
43 ip netns exec ${NETNS} ip link set bond_slave_1 master bond0
44 ip netns exec ${NETNS} ethtool -K bond0 rx-vlan-filter off
45 ip netns exec ${NETNS} ip link add link bond_slave_1 name bond_slave_1.0 type vlan id 0
46 ip netns exec ${NETNS} ip link add link bond0 name bond0.0 type vlan id 0
47 ip netns exec ${NETNS} ip link set bond_slave_1 nomaster
48 ip netns exec ${NETNS} ip link del veth2 || fail "Please check vlan HW filter function"
55 ip netns exec ${NETNS} ip link add bond0 type bond mode 0
56 ip netns exec ${NETNS} ip link add link bond0 name vlan0 type vlan id 0 protocol 802.1q
[all …]
H A Dip_defrag.sh17 ip netns exec "${NETNS}" sysctl -w net.ipv4.ipfrag_high_thresh=9000000 >/dev/null 2>&1
18 ip netns exec "${NETNS}" sysctl -w net.ipv4.ipfrag_low_thresh=7000000 >/dev/null 2>&1
19 ip netns exec "${NETNS}" sysctl -w net.ipv4.ipfrag_time=1 >/dev/null 2>&1
21 ip netns exec "${NETNS}" sysctl -w net.ipv6.ip6frag_high_thresh=9000000 >/dev/null 2>&1
22 ip netns exec "${NETNS}" sysctl -w net.ipv6.ip6frag_low_thresh=7000000 >/dev/null 2>&1
23 ip netns exec "${NETNS}" sysctl -w net.ipv6.ip6frag_time=1 >/dev/null 2>&1
25 …ip netns exec "${NETNS}" sysctl -w net.netfilter.nf_conntrack_frag6_high_thresh=9000000 >/dev/null…
26 …ip netns exec "${NETNS}" sysctl -w net.netfilter.nf_conntrack_frag6_low_thresh=7000000 >/dev/null…
27 ip netns exec "${NETNS}" sysctl -w net.netfilter.nf_conntrack_frag6_timeout=1 >/dev/null 2>&1
30 ip netns exec "${NETNS}" sysctl -w net.ipv6.route.max_size=65536 >/dev/null 2>&1
[all …]
H A Damt.sh133 ip netns exec "${LISTENER}" ip a a 192.168.0.2/24 dev l_gw
134 ip netns exec "${LISTENER}" ip r a default via 192.168.0.1 dev l_gw
135 ip netns exec "${LISTENER}" ip a a 2001:db8::2/64 dev l_gw
136 ip netns exec "${LISTENER}" ip r a default via 2001:db8::1 dev l_gw
137 ip netns exec "${LISTENER}" ip a a 239.0.0.1/32 dev l_gw autojoin
138 ip netns exec "${LISTENER}" ip a a ff0e::5:6/128 dev l_gw autojoin
140 ip netns exec "${GATEWAY}" ip a a 192.168.0.1/24 dev gw_l
141 ip netns exec "${GATEWAY}" ip a a 2001:db8::1/64 dev gw_l
142 ip netns exec "${GATEWAY}" ip a a 10.0.0.1/24 dev gw_relay
143 ip netns exec "${GATEWAY}" ip link add br0 type bridge
[all …]
H A Dtraceroute.sh28 out=$(eval ip netns exec ${ns} ${cmd} 2>&1)
81 ip netns exec ${ns} ip addr add dev lo ${addr}
84 ip netns exec ${ns} ip -6 addr add dev lo ${addr6}
87 ip netns exec ${ns} ip ro add unreachable default metric 8192
88 ip netns exec ${ns} ip -6 ro add unreachable default metric 8192
90 ip netns exec ${ns} sysctl -qw net.ipv4.ip_forward=1
91 ip netns exec ${ns} sysctl -qw net.ipv4.icmp_ratelimit=0
92 ip netns exec ${ns} sysctl -qw net.ipv6.icmp.ratelimit=0
93 ip netns exec ${ns} sysctl -qw net.ipv6.conf.all.keep_addr_on_down=1
94 ip netns exec
[all...]
H A Dudpgro_fwd.sh44 ip netns exec $ns sysctl -qw net.ipv6.conf.default.router_solicitations=0
45 ip netns exec $ns sysctl -qw net.ipv6.conf.all.router_solicitations=0
130 ip netns exec $NS_DST $ipt -A INPUT -p udp --dport 4789
131 ip netns exec $NS_DST $ipt -A INPUT -p udp --dport 8000
132 ip netns exec $NS_DST ./udpgso_bench_rx -C 2000 -R 100 -n 10 -l 1300 $rx_args &
135 ip netns exec $NS_SRC ./udpgso_bench_tx $family -M 1 -s 13000 -S 1300 -D $dst
145 local rcv=`ip netns exec $NS_DST $ipt"-save" -c | grep 'dport 8000' | \
153 local vxrcv=`ip netns exec $NS_DST $ipt"-save" -c | grep 'dport 4789' | \
175 ip netns exec "$NS_DST" iperf3 -s -1 >/dev/null &
178 ip netns exec "$NS_SRC" iperf3 -c "$dst" -t 2 >/dev/null
[all …]
/linux/include/drm/
H A Ddrm_exec.h62 * @exec: Pointer to the drm_exec context
69 drm_exec_obj(struct drm_exec *exec, unsigned long index) in drm_exec_obj() argument
71 return index < exec->num_objects ? exec->objects[index] : NULL; in drm_exec_obj()
75 #define __drm_exec_for_each_locked_object(exec, obj, __index) \ argument
76 for (unsigned long __index = 0; ((obj) = drm_exec_obj(exec, __index)); ++__index)
79 * @exec: drm_exec object
84 #define drm_exec_for_each_locked_object(exec, obj) \ argument
85 __drm_exec_for_each_locked_object(exec, obj, __UNIQUE_ID(drm_exec))
88 #define __drm_exec_for_each_locked_object_reverse(exec, obj, __index) \ argument
89 for (unsigned long __index = (exec)->num_objects - 1; \
[all …]
/linux/tools/testing/selftests/bpf/
H A Dtest_lwt_seg6local.sh
H A Dtest_tunnel.sh
H A Dtest_xdp_vlan.sh
/linux/tools/testing/selftests/net/netfilter/
H A Dipvs.sh65 ip netns exec "${ns0}" ip link set veth01 up
66 ip netns exec "${ns0}" ip link set veth02 up
67 ip netns exec "${ns0}" ip link add br0 type bridge
68 ip netns exec "${ns0}" ip link set veth01 master br0
69 ip netns exec "${ns0}" ip link set veth02 master br0
70 ip netns exec "${ns0}" ip link set br0 up
71 ip netns exec "${ns0}" ip addr add "${cip_v4}/24" dev br0
73 ip netns exec "${ns1}" ip link set veth10 up
74 ip netns exec "${ns1}" ip addr add "${gip_v4}/24" dev veth10
75 ip netns exec "${ns1}" ip link set veth12 up
[all …]
H A Dnft_queue.sh92 ip netns exec "$nsrouter" nft -f /dev/stdin <<EOF
128 ip netns exec "$nsrouter" nft -f /dev/stdin <<EOF
155 if ! ip netns exec "$ns1" ping -c 1 -q 10.0.2.99 > /dev/null; then
159 if ! ip netns exec "$ns1" ping -c 1 -q dead:2::99 > /dev/null; then
167 if ! ip netns exec "$ns1" ping -c 1 -q 10.0.2.1 > /dev/null; then
171 if ! ip netns exec "$ns1" ping -c 1 -q dead:2::1 > /dev/null; then
181 ip netns exec "$nsrouter" nft -f /dev/stdin <<EOF
190 ip netns exec "$ns1" ping -W 2 -c 1 -q 10.0.2.99 > /dev/null
193 ip netns exec "$ns1" ping -W 2 -c 1 -q dead:2::99 > /dev/null
205 if ! ip netns exec "$nsrouter" nft delete table "$proto" blackh; then
[all …]
H A Dnft_nat.sh69 ip netns exec "$ns" nft list counter inet filter "$counter" 1>&2
77 if ! ip netns exec "$ns" nft list counter inet filter ns0in | grep -q "packets 1 bytes 84";then
82 if ! ip netns exec "$ns" nft list counter inet filter ns0out | grep -q "packets 1 bytes 84";then
88 if ! ip netns exec "$ns" nft list counter inet filter ns0in6 | grep -q "$expect";then
92 if ! ip netns exec "$ns" nft list counter inet filter ns0out6 | grep -q "$expect";then
105 if ! ip netns exec "$ns0" nft list counter inet filter ns0in | grep -q "packets 0 bytes 0";then
110 if ! ip netns exec "$ns0" nft list counter inet filter ns0in6 | grep -q "packets 0 bytes 0";then
115 if ! ip netns exec "$ns0" nft list counter inet filter ns0out | grep -q "packets 0 bytes 0";then
119 if ! ip netns exec "$ns0" nft list counter inet filter ns0out6 | grep -q "packets 0 bytes 0";then
126 if ! ip netns exec "
[all...]
H A Dnf_nat_edemux.sh29 ip netns exec "$ns" ss -nt -o state established "dport = :$port" | grep -q "$port"
37 if ! ip netns exec "$ns" conntrack --get -s 192.168.1.2 -d 192.168.1.1 -p tcp \
40 ip netns exec "$ns" bash -c 'conntrack -L; conntrack -S; ss -nt'
52 ip netns exec "$ns1" ip link set up dev lo
53 ip netns exec "$ns1" ip link set up dev veth1
54 ip netns exec "$ns1" ip addr add 192.168.1.1/24 dev veth1
56 ip netns exec "$ns2" ip link set up dev lo
57 ip netns exec "$ns2" ip link set up dev veth2
58 ip netns exec "$ns2" ip addr add 192.168.1.2/24 dev veth2
61 ip netns exec "$ns1" socat -u TCP-LISTEN:5201,fork OPEN:/dev/null,wronly=1 &
[all …]
H A Dnft_nat_zones.sh87 echo netns exec "$cl" ip link set eth0 up
88 echo netns exec "$cl" sysctl -q net.ipv4.tcp_syn_retries=2
89 echo netns exec "$gw" ip link set "veth$i" up
90 echo netns exec "$gw" sysctl -q net.ipv4.conf.veth"$i".arp_ignore=2
93 echo netns exec "$cl" ip addr add 10.1.0.3/24 dev eth0
94 echo netns exec "$cl" ip addr add dead:1::3/64 dev eth0 nodad
95 echo netns exec "$cl" ip route add default via 10.1.0.2 dev eth0
96 echo netns exec "$cl" ip route add default via dead:1::2 dev eth0
99 echo netns exec "$gw" ip addr add 10.1.0.2/24 dev "veth$i"
100 echo netns exec "
[all...]
H A Dconntrack_vrf.sh79 ip netns exec "$ns1" socat -u -4 TCP-LISTEN:55555,reuseaddr,fork STDOUT > /dev/null &
87 ip netns exec "$ns0" nft -f - <<EOF
108 ip netns exec "$ns1" ping -W 1 -c 1 -I veth0 "$IP0" > /dev/null
111 count=$(ip netns exec "$ns0" conntrack -L -s $IP1 -d $IP0 -p icmp --zone 1 2>/dev/null | wc -l)
116 count=$(ip netns exec "$ns0" conntrack -L -s $IP1 -d $IP0 -p icmp --zone 2 2> /dev/null | wc -l)
121 ip netns exec "$ns0" conntrack -L
122 ip netns exec "$ns0" nft list ruleset
138 ip netns exec "$ns0" conntrack -F 2>/dev/null
140 ip netns exec "$ns0" nft -f - <<EOF
161 if ! ip netns exec "
[all...]
H A Dnft_flowtable.sh130 ip netns exec "$nsr1" sysctl net.ipv6.conf.all.forwarding=1 > /dev/null
131 ip netns exec "$nsr2" sysctl net.ipv6.conf.all.forwarding=1 > /dev/null
133 ip netns exec "$nsr1" sysctl net.ipv4.conf.veth$i.forwarding=1 > /dev/null
134 ip netns exec "$nsr2" sysctl net.ipv4.conf.veth$i.forwarding=1 > /dev/null
140 if ! ip netns exec "$ns" sysctl net.ipv4.tcp_no_metrics_save=1 > /dev/null; then
145 ip netns exec "$ns" sysctl net.ipv4.ip_no_pmtu_disc=1 > /dev/null
162 ip netns exec "$nsr1" nft -f - <<EOF
194 ip netns exec "$ns2" nft -f - <<EOF
216 if ! ip netns exec "$ns1" ping -c 1 -q 10.0.2.99 > /dev/null; then
221 if ! ip netns exec "$ns2" ping -c 1 -q 10.0.1.99 > /dev/null; then
[all …]
/linux/drivers/gpu/drm/vc4/
H A Dvc4_validate.c52 struct vc4_exec_info *exec, \
107 vc4_use_bo(struct vc4_exec_info *exec, uint32_t hindex) in vc4_use_bo() argument
109 struct vc4_dev *vc4 = exec->dev; in vc4_use_bo()
116 if (hindex >= exec->bo_count) { in vc4_use_bo()
118 hindex, exec->bo_count); in vc4_use_bo()
121 obj = to_drm_gem_dma_obj(exec->bo[hindex]); in vc4_use_bo()
134 vc4_use_handle(struct vc4_exec_info *exec, uint32_t gem_handles_packet_index) in vc4_use_handle() argument
136 return vc4_use_bo(exec, exec->bo_index[gem_handles_packet_index]); in vc4_use_handle()
140 validate_bin_pos(struct vc4_exec_info *exec, void *untrusted, uint32_t pos) in validate_bin_pos() argument
145 return (untrusted - 1 == exec->bin_u + pos); in validate_bin_pos()
[all …]
H A Dvc4_irq.c67 struct vc4_exec_info *exec; in vc4_overflow_mem_work() local
92 exec = vc4_first_bin_job(vc4); in vc4_overflow_mem_work()
93 if (!exec) in vc4_overflow_mem_work()
94 exec = vc4_last_render_job(vc4); in vc4_overflow_mem_work()
95 if (exec) { in vc4_overflow_mem_work()
96 exec->bin_slots |= vc4->bin_alloc_overflow; in vc4_overflow_mem_work()
120 struct vc4_exec_info *next, *exec = vc4_first_bin_job(vc4); in vc4_irq_finish_bin_job() local
122 if (!exec) in vc4_irq_finish_bin_job()
125 trace_vc4_bcl_end_irq(dev, exec->seqno); in vc4_irq_finish_bin_job()
127 vc4_move_job_to_render(dev, exec); in vc4_irq_finish_bin_job()
[all …]
/linux/tools/testing/selftests/exec/
H A Dcheck-exec-tests.sh7 # samples/check-exec/inc.c
14 exec 2>/dev/null
86 out="$(cat script-exec.inc | "$@" ./inc -i)" || ret=$?
101 out="$("$@" ./inc -c "$(< script-exec.inc)")" || ret=$?
128 ktap_test exec_direct 0 script-exec.inc
129 ktap_test exec_indirect 0 script-exec.inc
132 ktap_test exec_stdin_reg 0 script-exec.inc
148 ktap_test exec_direct 0 script-exec.inc ./set-exec -f --
149 ktap_test exec_indirect 0 script-exec.inc ./set-exec -f --
152 ktap_test exec_stdin_reg 0 script-exec.inc ./set-exec -f --
[all …]
/linux/tools/testing/selftests/drivers/net/bonding/
H A Dbond-arp-interval-causes-panic.sh28 ip netns exec server ip link set dev eth0 up
29 ip netns exec server ip addr add ${server_ip4}/24 dev eth0
31 ip netns exec client ip link add dev bond0 down type bond mode 1 \
33 ip netns exec client ip link set dev eth0 master bond0
34 ip netns exec client ip link set dev bond0 up
35 ip netns exec client ip addr add ${client_ip4}/24 dev bond0
36 ip netns exec client ping -c 5 $server_ip4 >/dev/null
38 ip netns exec client ip link set dev eth0 nomaster
39 ip netns exec client ip link set dev bond0 down
40 ip netns exec client ip link set dev bond0 type bond mode 0 \
[all …]
H A Dlag_lib.sh117 ip netns exec ${SWITCH} ip link add br0 up type bridge
118 ip netns exec ${SWITCH} ip link set eth0 master br0 up
119 ip netns exec ${SWITCH} ip link set eth1 master br0 up
120 ip netns exec ${SWITCH} ip addr add ${SWITCHIP}/24 dev br0
125 ip netns exec ${CLIENT} ip link del bond0
126 ip netns exec ${SWITCH} ip link set eth0 up
127 ip netns exec ${SWITCH} ip link set eth1 up
133 ip netns exec ${CLIENT} ip link set eth0 down
134 ip netns exec ${CLIENT} ip link set eth1 down
136 ip netns exec
[all...]
/linux/tools/testing/selftests/net/mptcp/
H A Duserspace_pm.sh125 ip netns exec "$ns1" sysctl -q net.mptcp.path_manager=userspace
126 pm_type="$(ip netns exec "$ns1" sysctl -n net.mptcp.pm_type)"
133 ip netns exec "$ns1" sysctl -q net.mptcp.path_manager=error 2>/dev/null
134 pm_type="$(ip netns exec "$ns1" sysctl -n net.mptcp.pm_type)"
141 ip netns exec "$ns1" sysctl -q net.mptcp.pm_type=0
142 pm_name="$(ip netns exec "$ns1" sysctl -n net.mptcp.path_manager)"
151 ip netns exec "$i" sysctl -q net.mptcp.pm_type=1
205 ip netns exec "$ns2" sysctl -q net.mptcp.allow_join_initial_addr_port=0
211 ip netns exec "$ns1" \
219 ip netns exec "$ns2" \
[all …]
/linux/tools/testing/selftests/net/ovpn/
H A Dtest.sh51 ip netns exec ovpn_peer0 ${OVPN_CLI} set_peer tun0 \
54 ip netns exec "${peer_ns}" ${OVPN_CLI} set_peer \
87 timeout ${tcpdump_timeout} ip netns exec "${peer_ns}" \
92 timeout ${tcpdump_timeout} ip netns exec "${peer_ns}" \
100 ip netns exec ovpn_peer0 \
103 ip netns exec ovpn_peer0 \
113 ip netns exec ovpn_peer0 ping -qfc 100 -w 3 "${OVPN_LAN_IP}"
130 ip netns exec "${peer_ns}" ping -qfc 100 -w 3 5.5.5.1
137 ovpn_run_bg iperf_pid ip netns exec ovpn_peer0 iperf3 -1 -s
141 ip netns exec ovpn_peer1 iperf3 -Z -t 3 -c 5.5.5.1
[all …]
/linux/tools/testing/selftests/powerpc/dexcr/
H A Ddexcr_test.c14 * Helper function for testing the behaviour of a newly exec-ed process
24 "setting aspect across exec not applied"); in dexcr_prctl_onexec_test_child()
27 "setting aspect across exec not inherited"); in dexcr_prctl_onexec_test_child()
29 FAIL_IF_EXIT_MSG(!(aspect & dexcr), "setting aspect across exec did not take effect"); in dexcr_prctl_onexec_test_child()
32 "clearing aspect across exec not applied"); in dexcr_prctl_onexec_test_child()
35 "clearing aspect across exec not inherited"); in dexcr_prctl_onexec_test_child()
37 FAIL_IF_EXIT_MSG(aspect & dexcr, "clearing aspect across exec did not take effect"); in dexcr_prctl_onexec_test_child()
68 FAIL_IF_MSG(err != -1, "simultaneous set and clear on exec should be rejected"); in dexcr_prctl_aspect_test()
69 …FAIL_IF_MSG(errno_save != EINVAL, "simultaneous set and clear on exec should be rejected with EINV… in dexcr_prctl_aspect_test()
89 /* We make it set on exec (doesn't change our current value) */ in dexcr_prctl_aspect_test()
[all …]

12345678910>>...28